Workflow Search
POST/search/workflows
Search for workflows.
At least one of the following fields must have a value: query or filter.
Query Parameters
Body ParametersJSON
hitsPerPage: optional number
Maximum number of documents returned for a page. Must be used with page.
maximum100
minimum1
limit: optional number
Maximum number of documents returned. Must be used with offset.
maximum100
minimum1
Returns
Workflow Search
curl https://api.cloud.scenario.com/v1/search/workflows \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{}'{
"hits": [
{
"id": "id",
"authorId": "authorId",
"collectionIds": [
"string"
],
"createdAt": "createdAt",
"description": "description",
"name": "name",
"ownerId": "ownerId",
"privacy": "privacy",
"status": "status",
"tags": [
"string"
],
"teamId": "teamId",
"updatedAt": "updatedAt",
"after": {
"assetId": "assetId",
"url": "url"
},
"before": {
"assetId": "assetId",
"url": "url"
},
"score": 0,
"shortDescription": "shortDescription",
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}Returns Examples
{
"hits": [
{
"id": "id",
"authorId": "authorId",
"collectionIds": [
"string"
],
"createdAt": "createdAt",
"description": "description",
"name": "name",
"ownerId": "ownerId",
"privacy": "privacy",
"status": "status",
"tags": [
"string"
],
"teamId": "teamId",
"updatedAt": "updatedAt",
"after": {
"assetId": "assetId",
"url": "url"
},
"before": {
"assetId": "assetId",
"url": "url"
},
"score": 0,
"shortDescription": "shortDescription",
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}